__gnu_debug::_Sequence_traits< _Sequence > Struct Template Reference

## Public Types

typedef _Distance_traits< typename _Sequence::iterator > | _DistTraits

## Static Public Member Functions

static _DistTraits::__type | _S_size (const _Sequence &__seq)

## Detailed Description

### template<typename _Sequence>
struct __gnu_debug::_Sequence_traits< _Sequence >

Sequence traits giving the size of a container if possible.

Definition at line 87 of file safe_iterator.h.

The documentation for this struct was generated from the following file:

- safe_iterator.h